Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRParameterDefaultValuesEvaluator.ObjectFactory

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractObjectFactory
          net.sf.jasperreports.engine.fill.JRFillObjectFactory
              net.sf.jasperreports.engine.fill.JRParameterDefaultValuesEvaluator.ObjectFactory

All Implemented Interfaces:
  JRVisitor

Enclosing class:
  JRParameterDefaultValuesEvaluator

    protected static class JRParameterDefaultValuesEvaluator.ObjectFactory

extends JRFillObjectFactory

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.fill.JRFillObjectFactory
`JRFillObjectFactory.StylesList`

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillObjectFactory
`filler`

Constructor Summary
`protected` | `JRParameterDefaultValuesEvaluator.ObjectFactory()`

Method Summary
`protected JRFillGroup` | `getGroup(JRGroup group)`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillObjectFactory
`checkUnresolvedReferences, collectRequestedStyles, collectUsedStyles, getAreaPlot, getBand, getBar3DPlot, getBarPlot, getBubblePlot, getCandlestickPlot, getCategoryDataset, getCategorySeries, getChartAxis, getConditionalStyle, getCrosstabDataset, getCrosstabParameter, getDataset, getDatasetRun, getDatasets, getDefaultStyleProvider, getElementDatasets, getExpression, getExpressionEvaluator, getField, getFiller, getGanttDataset, getGanttSeries, getHighLowDataset, getHighLowPlot, getLinePlot, getMeterPlot, getMultiAxisPlot, getParameter, getPie3DPlot, getPieDataset, getPiePlot, getPieSeries, getReportFont, getReportTemplate, getScatterPlot, getSection, getStyle, getSubreportReturnValue, getThermometerPlot, getTimePeriodDataset, getTimePeriodSeries, getTimeSeries, getTimeSeriesDataset, getTimeSeriesPlot, getValueDataset, getVariable, getXyDataset, getXySeries, getXyzDataset, getXyzSeries, registerDelayedStyleSetter, registerDelayedStyleSetter, registerElementDataset, renameExistingStyle, setStyle, setStyles, useDelayedStyle, visitBreak, visitChart, visitComponentElement, visitCrosstab, visitElementGroup, visitEllipse, visitFrame, visitGenericElement, visitImage, visitLine, visitRectangle, visitStaticText, visitSubreport, visitTextField`

Methods inherited from class net.sf.jasperreports.engine.JRAbstractObjectFactory
`get, getExpression, getVisitResult, put, setVisitResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRParameterDefaultValuesEvaluator.ObjectFactory

    protected JRParameterDefaultValuesEvaluator.ObjectFactory()

Method Detail

### getGroup

    protected JRFillGroup getGroup(JRGroup group)

  Overrides:
    `getGroup` in class `JRFillObjectFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com